
TYPO3.TYPO3CR - Bug # 40664

Status: Resolved Priority: Should have
Author: Adrian Föder Category: Node handling
Created: 2012-09-06 Assigned To: Aske Ertmann
Updated: 2012-09-06 Due date:
Subject: Cut and Paste of Content Elements gives 500
Description

When cutting and pasting, an Error occurs, saying

[06-Sep-2012 06:05:43 UTC] PHP Fatal error:  Call to undefined method TYPO3\TYPO3CR\Domain\Model\ProxyNode::setPath()
in
C:\Users\afoeder\PhpstormProjects\Edsh\edsh.de\Data\Temporary\Development\Cache\Code\FLOW3_Object_Classes\TYPO3_TYPO3CR_Domain_Model_Node_Original.php on line 222
YPO3CR_Domain_Model_Node_Original.php on line 222

The loop on the mentioned line seems to unintendedly get a ProxyNode instead of a "plain" node.

May this (again) be due to a "went inconsistent" persisted nodes state?

Related issues:
related to Base Distribution - Story # 40585: [Page Tree] As a content editor... Closed 2011-12-05

Associated revisions
Revision 7a8f6c9d - 2012-09-06 15:58 - Aske Ertmann 

[BUGFIX] Make setPath public again for proxy node compatibility

The method setPath was changed to protected in I59f27620873400045ca3fac1bb7918a224665671
and automatically called from construct, but this leads to issues when setting the path
on a proxy node which already exists

Change-Id: I1279e135a4011fe7461f52fba1412af79dcd0f46
Fixes: #40664

History
#1 - 2012-09-06 12:10 - Karsten Dambekalns
- Status changed from New to Accepted
- Assigned To changed from Karsten Dambekalns to Aske Ertmann
- Target version set to Sprint 10 (1.0 TP1)

No, this is a "real bug" :) But Aske fixed it already last night, push pending AFAIK.

#2 - 2012-09-06 14:14 - Gerrit Code Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/14411
#3 - 2012-09-06 15:58 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/14411

#4 - 2012-09-06 16:35 - Anonymous
- Status changed from Accepted to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:7a8f6c9dfc19d28783201bd6444c8dc2fc326749.
